package com.chenyang.nse.bussiness.entity.param;

public class MaskingMappingParam {
   private String engineid;
   private String taskid;
   private String taskname;
   private String tasknote;
   private String datacount;
   private String datasourceid;
   private String datatargetid;
   private String datasourceschema;
   private String datatargetschema;
   private String execute;
   private String fdname;
   private String flag;

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getTasknote() {
      return this.tasknote;
   }

   public void setTasknote(String tasknote) {
      this.tasknote = tasknote;
   }

   public String getDatacount() {
      return this.datacount;
   }

   public void setDatacount(String datacount) {
      this.datacount = datacount;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatatargetid() {
      return this.datatargetid;
   }

   public void setDatatargetid(String datatargetid) {
      this.datatargetid = datatargetid;
   }

   public String getDatasourceschema() {
      return this.datasourceschema;
   }

   public void setDatasourceschema(String datasourceschema) {
      this.datasourceschema = datasourceschema;
   }

   public String getDatatargetschema() {
      return this.datatargetschema;
   }

   public void setDatatargetschema(String datatargetschema) {
      this.datatargetschema = datatargetschema;
   }

   public String getFdname() {
      return this.fdname;
   }

   public void setFdname(String fdname) {
      this.fdname = fdname;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getExecute() {
      return this.execute;
   }

   public void setExecute(String execute) {
      this.execute = execute;
   }
}
